freenet.support.CPUInformation

## Class VIAInfoImpl

- java.lang.Object
- - freenet.support.CPUInformation.CPUIDCPUInfo
  - - freenet.support.CPUInformation.VIAInfoImpl

- All Implemented Interfaces:
    CPUInfo, VIACPUInfo

       class VIAInfoImpl
      extends CPUIDCPUInfo
      implements VIACPUInfo

  Moved out of CPUID.java
  Since:
    0.8.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `isC3Compatible`
    `protected static boolean` | `isNanoCompatible`
    `protected static String` | `modelString`

    - ### Fields inherited from class freenet.support.CPUInformation.CPUIDCPUInfo

      `isX64`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VIAInfoImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCPUModelString()`
    `boolean` | `hasX64()`
    `boolean` | `IsC3Compatible()`
    `boolean` | `IsNanoCompatible()`

    - ### Methods inherited from class freenet.support.CPUInformation.CPUIDCPUInfo

      `getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface freenet.support.CPUInformation.CPUInfo

      `getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

- - ### Field Detail

    - #### isC3Compatible

          protected static boolean isC3Compatible

    - #### isNanoCompatible

          protected static boolean isNanoCompatible

    - #### modelString

          protected static String modelString

  - ### Constructor Detail

    - #### VIAInfoImpl

          VIAInfoImpl()

  - ### Method Detail

    - #### IsC3Compatible

          public boolean IsC3Compatible()

      Specified by:
        `IsC3Compatible` in interface `VIACPUInfo`
      Returns:
        true if the CPU present in the machine is at least an 'c3' CPU

    - #### IsNanoCompatible

          public boolean IsNanoCompatible()

      Specified by:
        `IsNanoCompatible` in interface `VIACPUInfo`
      Returns:
        true if the CPU present in the machine is at least an 'nano' CPU

    - #### getCPUModelString

          public String getCPUModelString()

      Specified by:
        `getCPUModelString` in interface `CPUInfo`
      Returns:
        A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.

    - #### hasX64

          public boolean hasX64()

      Specified by:
        `hasX64` in class `CPUIDCPUInfo`